<? global $vis_language;
if($finance_details==-1){   
	include(VIS_PATH_TEMPLATE.'no_record_yet.php'); 
	echo '<script> $("#view_action").hide(); $("#vis_'.$operation['vis_operation'].'_form .panel-footer").hide(); $("#vis_domain_list").hide(); $(".fullFrame").removeClass("b-t").addClass("m-t-lg m-b-lg"); </script>';
 } else { ?>
<script> $("#view_action").show(); $("#vis_<?php echo $operation['vis_operation']; ?>_form .panel-footer").show(); $("#vis_domain_list").show(); </script>
<table class="table table-hover b-t b-light m-b-none" data-ride="datatables">
   <thead class="table_head">
      <tr>
         <th>
            <div class="btn-group">
               <label class="checkbox m-n m-r-sm i-checks"  style="float: left;"><input type="checkbox"><i></i></label>		
            </div>
         </th>
         <th><? echo $vis_language['TXTTITLE']; ?></th>
         <th class="txt_nowrap"><? echo $vis_language['TXTDISPLAYORDER']; ?></th>
         <th class="txt_nowrap"><? echo $vis_language['TXTITILDEPRECIATION']; ?></th>
         <th class="txt_nowrap"><? echo $vis_language['TXTUSEFULLIFE']; ?></th>
         <th class="txt_nowrap"><? echo $vis_language['TXTSTATUS']; ?></th>
         <th></th>
      </tr>
   </thead>
   <tbody>
      <?
         for($i=0;$i<count($finance_details);$i++) {
			 if($finance_details[$i]['is_enabled']==1){ $status = $vis_language['TXTENABLED'];$lbl='vh-green-bg';} else {$status = $vis_language['TXTDISABLED'];$lbl='label-default';}
             if($finance_details[$i]['finance_id'] == 1){echo '<tr><td width="30"><label class="checkbox m-n i-checks"><input type="checkbox" name="vis_global_mass_chk_'.$i.'" id="vis_global_mass_chk_'.$i.'" value="'.$finance_details[$i]['finance_id'].'" disabled="disabled"/><i></i></label></td>';}else{echo '<tr><td width="30"><label class="checkbox m-n i-checks"><input type="checkbox" name="vis_global_mass_chk_'.$i.'" id="vis_global_mass_chk_'.$i.'" value="'.$finance_details[$i]['finance_id'].'" /><i></i></label></td>';} 
             echo '<td><a href="#/setting/edit_finance/'.rawurlencode(str_replace('/', ' ', $finance_details[$i]['name'])).'/'.$finance_details[$i]['finance_id'].'">'.$finance_details[$i]['name'].'</a></td>';
             echo '<td><a href="#/setting/edit_finance/'.str_replace('/', ' ', $finance_details[$i]['name']).'/'.$finance_details[$i]['finance_id'].'">'.$finance_details[$i]['display_order'].'</a></td>';
			 echo '<td>';
			 if($finance_details[$i]['finance_type_id']==1) echo $vis_language['TXTITILSTRAIGHTLINE'];
			 elseif($finance_details[$i]['finance_type_id']==2) echo $vis_language['TXTITILDECLINEBALANCE']; 
			 elseif($finance_details[$i]['finance_type_id']==3) echo $vis_language['TXTITILDOUBLEDECLINEBALANCE']; 
			 elseif($finance_details[$i]['finance_type_id']==4) echo $vis_language['TXTITILSUMOFYEARDIGIT'];
			 echo '</td>';		
			 echo '<td>'.$finance_details[$i]['useful_life'].'</td>';
             echo '<td><span class="label '.$lbl.'">'.$status.'</span></td>'; 
			  if($finance_details[$i]['finance_id']>4){?>
      <td align="center"><a class="text-muted"  href="javascript:void(0);" data-toggle="ajaxModal" data-modal-arguments="vis_module=setting&vis_operation=get_finance_delete&vis_finance_id=<? echo $finance_details[$i]['finance_id']; ?>&vis_static_area=vis_priority_delete_form" title="<? echo $vis_language['TXTDELETE']; ?>"><i class="vh vh-delete-round"></a><? //} ?></td>
       <? }else echo '<td></td>';?>
      </tr> <?
         } ?>
   </tbody>
</table><? } ?>
<script type="text/javascript">
   $(document).ready(function() {	
   $('[data-ride="datatables"]').dataTable({		
           "bPaginate" : false,	
   		"sDom": 't', "bAutoWidth": false,
   		"aoColumns": [
   			{ "bSortable": false },
   		  	null,
   		  	null,
   		  	null,
			null,
			null,									
   			{ "bSortable": false }
   		]
   	});
   });
</script>